Bug 842829 - Content Search: Compare - difficult to differentiate between two repos across different products/providers with same name
Content Search: Compare - difficult to differentiate between two repos across...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-24 12:46 EDT by Corey Welton
Modified: 2014-09-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-18 13:38:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot snippet (10.19 KB, image/png)
2012-07-24 12:54 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-07-24 12:46:48 EDT
Description of problem:
When you have two repos named the same thing, the UI makes it difficult to  differentiate the two in the sidebar.  A simple tooltip might suffice.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Create ProviderA, ProductA, repo "i386" and sync
2.  Create ProviderB, ProductB, repo "i386" and sync
3.  Navigate to Content Search, select content type of "Repo" in left pane
4,  Choose the second option in the resulting "Repos" div for repo autocomplete; one at a time, select both repos called "i386" (noting the autocomplete does show Product name); Add
5.  View resulting list of selected repos
Actual results:
...no differentiation between the two

Expected results:
Obviously we're space limited here, but we do show the Product name in the autocomplete and in the compare itself. I'm inclined to think we could just simply put the product name in the tooltip if the user wants to assure which is which.  

Whatever the case, I can see things getting a little confusing if user is adding a bunch of different repos with the same name - might be hard to remember what he or she has/hasn't added, at a quick glance.

Additional info:
Comment 1 Corey Welton 2012-07-24 12:54:17 EDT
Created attachment 600072 [details]
screenshot snippet
Comment 2 Corey Welton 2012-07-24 14:20:35 EDT
Katello Version: 0.2.49-1.git.2.b978990.el6_3
Comment 4 Mike McCune 2013-08-16 14:15:49 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2014-03-18 13:38:23 EDT
This bug was closed because of a lack of activity.  If you feel this bug should be reconsidered for attention please feel free to re-open the bug with a comment stating why it should be reconsidered.

Note You need to log in before you can comment on or make changes to this bug.